

# GetLoadBalancer
<a name="API_GetLoadBalancer"></a>

Returns information about the specified Lightsail load balancer.

## Request Syntax
<a name="API_GetLoadBalancer_RequestSyntax"></a>

```
{
   "loadBalancerName": "string"
}
```

## Request Parameters
<a name="API_GetLoadBalancer_RequestParameters"></a>

For information about the parameters that are common to all actions, see [Common Parameters](CommonParameters.md).

The request accepts the following data in JSON format.

 ** [loadBalancerName](#API_GetLoadBalancer_RequestSyntax) **   <a name="Lightsail-GetLoadBalancer-request-loadBalancerName"></a>
The name of the load balancer.  
Type: String  
Pattern: `\w[\w\-]*\w`   
Required: Yes

## Response Syntax
<a name="API_GetLoadBalancer_ResponseSyntax"></a>

```
{
   "loadBalancer": { 
      "arn": "string",
      "configurationOptions": { 
         "string" : "string" 
      },
      "createdAt": number,
      "dnsName": "string",
      "healthCheckPath": "string",
      "httpsRedirectionEnabled": boolean,
      "instanceHealthSummary": [ 
         { 
            "instanceHealth": "string",
            "instanceHealthReason": "string",
            "instanceName": "string"
         }
      ],
      "instancePort": number,
      "ipAddressType": "string",
      "location": { 
         "availabilityZone": "string",
         "regionName": "string"
      },
      "name": "string",
      "protocol": "string",
      "publicPorts": [ number ],
      "resourceType": "string",
      "state": "string",
      "supportCode": "string",
      "tags": [ 
         { 
            "key": "string",
            "value": "string"
         }
      ],
      "tlsCertificateSummaries": [ 
         { 
            "isAttached": boolean,
            "name": "string"
         }
      ],
      "tlsPolicyName": "string"
   }
}
```

## Response Elements
<a name="API_GetLoadBalancer_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [loadBalancer](#API_GetLoadBalancer_ResponseSyntax) **   <a name="Lightsail-GetLoadBalancer-response-loadBalancer"></a>
An object containing information about your load balancer.  
Type: [LoadBalancer](API_LoadBalancer.md) object

## Errors
<a name="API_GetLoadBalancer_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
Lightsail throws this exception when the user cannot be authenticated or uses invalid credentials to access a resource.  
HTTP Status Code: 400

 ** AccountSetupInProgressException **   
Lightsail throws this exception when an account is still in the setup in progress state.  
HTTP Status Code: 400

 ** InvalidInputException **   
Lightsail throws this exception when user input does not conform to the validation rules of an input field.  
Domain and distribution APIs are only available in the N. Virginia (`us-east-1`) AWS Region. Please set your AWS Region configuration to `us-east-1` to create, view, or edit these resources.
HTTP Status Code: 400

 ** NotFoundException **   
Lightsail throws this exception when it cannot find a resource.  
HTTP Status Code: 400

 ** OperationFailureException **   
Lightsail throws this exception when an operation fails to execute.  
HTTP Status Code: 400

 ** RegionSetupInProgressException **   
Lightsail throws this exception when an operation is performed on resources in an opt-in Region that is currently being set up.    
 ** docs **   
 [Regions and Availability Zones for Lightsail](https://docs.aws.amazon.com/lightsail/latest/userguide/understanding-regions-and-availability-zones-in-amazon-lightsail.html)   
 ** tip **   
Opt-in Regions typically take a few minutes to finish setting up before you can work with them. Wait a few minutes and try again.
HTTP Status Code: 400

 ** ServiceException **   
A general service exception.  
HTTP Status Code: 500

 ** UnauthenticatedException **   
Lightsail throws this exception when the user has not been authenticated.  
HTTP Status Code: 400

## See Also
<a name="API_GetLoadBalancer_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/lightsail-2016-11-28/GetLoadBalancer) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/lightsail-2016-11-28/GetLoadBalancer) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/lightsail-2016-11-28/GetLoadBalancer) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/lightsail-2016-11-28/GetLoadBalancer) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/lightsail-2016-11-28/GetLoadBalancer) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/lightsail-2016-11-28/GetLoadBalancer) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/lightsail-2016-11-28/GetLoadBalancer) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/lightsail-2016-11-28/GetLoadBalancer) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/lightsail-2016-11-28/GetLoadBalancer) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/lightsail-2016-11-28/GetLoadBalancer) 